Skip to content

Get campaign by ID

Request

Get a campaign by ID.

Security
oauth2(Required scopes: borrowercampaign:read) or bearerAuth or apiKeyHeader
Path
borrowerCampaignIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

GET
/campaigns/{borrowerCampaignId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/campaigns/{borrowerCampaignId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(BorrowerCampaignFull)

A borrower campaign is part of a system for exporting contact information for borrowers or sending communications to borrowers in bulk.

A borrower campaign objects represents this campaign. It contains the information specifying from where a campaign derives its input borrower list, a schedule for execution, and the format for exporting that list.

The input borrowers list is defined by a Redash query. See redashQueryUrl for details.

Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "externalId": "string", "bulkSenderId": "string", "contactExporterId": "string", "redashApiKey": "string", "redashQueryUrl": "https://acme-rd.peach.finance/queries/48", "schedule": "string", "sftpSettings": { … } } }